jQuery(".elementpress-testimonial-slider").each(function() {
    var e = jQuery(this).data("slidestoshowtablet"),
        o = jQuery(this).data("slidestoscroll_tablet"),
        n = jQuery(this).data("slidestoshowmobile"),
        i = jQuery(this).data("slidestoscroll_mobile"),
        a = "yes" === jQuery(this).data("show_arrow"),
        s = "yes" === jQuery(this).data("show_dot"),
        r = "yes" === jQuery(this).data("autoplay");
    jQuery(this).not(".slick-initialized").slick({
        slidesToShow: "undefined" !== jQuery(this).data("slidestoshow") ? jQuery(this).data("slidestoshow") : 1,
        slidesToScroll: "undefined" !== jQuery(this).data("slidestoscroll") ? jQuery(this).data("slidestoscroll") : 1,
        autoplay: "undefined" === jQuery(this).data("autoplay") || r,
        autoplaySpeed: "undefined" !== jQuery(this).data("speed") ? jQuery(this).data("speed") : 1e3,
        arrows: "undefined" === jQuery(this).data("show_arrow") || a,
        dots: "undefined" === jQuery(this).data("show_dot") || s,
        pauseOnHover: "yes" == jQuery(this).data("pause_on_hover"),
        prevArrow: "undefined" !== jQuery(this).data("left_icon") ? '<button type="button" class="slick-prev"><i class="' + jQuery(this).data("left_icon") + '"></i></button>' : '<button type="button" class="slick-prev"><i class="icon icon-left-arrow2"></i></button>',
        nextArrow: "undefined" !== jQuery(this).data("right_icon") ? '<button type="button" class="slick-next"><i class="' + jQuery(this).data("right_icon") + '"></i></button>' : '<button type="button" class="slick-next"><i class="icon icon-right-arrow2"></i></button>',
        vertical: "yes" == jQuery(this).data("vertical_style"),
        infinite: "undefined" === jQuery(this).data("autoplay") || r,
        responsive: [{ breakpoint: 1024, settings: { slidesToShow: e, slidesToScroll: o } }, {
            breakpoint: 600,
            settings: { slidesToShow: e, slidesToScroll: o }
        }, { breakpoint: 480, settings: { arrows: !1, slidesToShow: n, slidesToScroll: i } }]
    })
})